# Module `DEPLOYTASK`

A DEPLOYTASK orchestrates the deployment of CARGO within a specific landing zone.

## Global(s)

DEPLOYTASK |

## Type `DEPLOYTASK`

DEPLOYTASK:AddCargoMenus(Client, Cargos, TransportRadius) |
DEPLOYTASK.ClassName |
DEPLOYTASK.GoalVerb |
DEPLOYTASK:InitCargo(InitCargos) |
DEPLOYTASK:LoadCargo(LoadCargos) |
DEPLOYTASK.New(CargoType) | Creates a new DEPLOYTASK object, which models the sequence of STAGEs to unload a cargo.
DEPLOYTASK:RemoveCargoMenus(Client) |
DEPLOYTASK.SetCargoTargetZoneName(string, self, TargetZoneName) | When the cargo is unloaded, it will move to the target zone name.
DEPLOYTASK.TEXT |
DEPLOYTASK:ToZone(LandingZone) |

## Global(s)

#DEPLOYTASK DEPLOYTASK

## Type `DEPLOYTASK`

A DeployTask

### Field(s)

DEPLOYTASK:AddCargoMenus(Client, Cargos, TransportRadius)

  ### Parameters

  - `Client` :

  - `Cargos` :

  - `TransportRadius` :

#string DEPLOYTASK.ClassName

#string DEPLOYTASK.GoalVerb

DEPLOYTASK:InitCargo(InitCargos)

  ### Parameter

  - `InitCargos` :

DEPLOYTASK:LoadCargo(LoadCargos)

  ### Parameter

  - `LoadCargos` :

DEPLOYTASK.New(CargoType)

  Creates a new DEPLOYTASK object, which models the sequence of STAGEs to unload a cargo.

  ### Parameter

  - `#string CargoType` : Type of the Cargo.

  ### Return value

  #DEPLOYTASK: The created DeployTask

DEPLOYTASK:RemoveCargoMenus(Client)

  ### Parameter

  - `Client` :

DEPLOYTASK.SetCargoTargetZoneName(string, self, TargetZoneName)

  When the cargo is unloaded, it will move to the target zone name.

  ### Parameters

  - `string` : TargetZoneName Name of the Zone to where the Cargo should move after unloading.

  - `self` :

  - `TargetZoneName` :

DEPLOYTASK.TEXT

DEPLOYTASK:ToZone(LandingZone)

  ### Parameter

  - `LandingZone` :